欢迎光临
一直在努力

Git版本低 报错HTTP request failed 及升级后的SSL connect error

问题背景:下载eos代码报错

git clone https://github.com/eosio/eos --recursive
[root@localhost bigdata]# git clone https://github.com/EOSIO/eos --recursive
Initialized empty Git repository in /bigdata/eos/.git/
error: while accessing https://github.com/EOSIO/eos/info/refs

fatal: HTTP request failed

问题解决:升级 git client 版本

git --version    #git version 1.7.1版本过低无法正常下载

版本升级:

安装 依赖

yum install -y curl curl-devel zlib-devel openssl-devel perl cpio expat-devel gettext-devel

版本编译并安装

wget http://www.codemonkey.org.uk/projects/git-snapshots/git/git-latest.tar.xz

xz -d git-latest.tar.xz

tar xvf git-latest.tar

cd git-xxxx-xx-xx

autoconf

./configure

make

make install

添加变量并生效

echo "export PATH=$PATH:/usr/local/bin/git" >> /etc/bashrc

source /etc/bashrc

已是最新版本

[root@master bigdata]# git --version
git version 2.18.0-rc1

重新下载

git clone https://github.com/eosio/eos --recursive

再次报错:SSL connect error

Cloning into 'eos'...

fatal: unable to access 'https://github.com/eosio/eos/': SSL connect error

解决方法:

git config --global http.sslversion tlsv1

问题全部解决

git clone https://github.com/eosio/eos --recursive

本站文章均为原创,转载请注明出处:运维资源 » Git版本低 报错HTTP request failed 及升级后的SSL connect error

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

QEDEV 运维分享 运维实战

联系我们关于作者